require 'rails/generators'
module NetzlaborGenerators
  class SetupDeviseRolifyCancancanGenerator < Rails::Generators::Base
    desc "Setup Devise with rolify for roles and cancancan. Parameter: Like Devise (just a model name)"

    # Commandline options can be defined here using Thor-like options:
    class_option :my_opt, :type => :boolean, :default => false, :desc => "My Option"

    # I can later access that option using:
    # options[:my_opt]


    def self.source_root
      @source_root ||= File.join(File.dirname(__FILE__), 'templates')
    end

    def init_devise
      generate "devise:install"
      generate "devise", "User"
    end

    def init_rolifyy
      generate "rolify" ,"Role User"
    end

    def init_cancancan
      generate "cancan:ability"

    end

    # Generator Code. Remember this is just suped-up Thor so methods are executed in order


  end
end